<?php
/*
 * The template for displaying 404 pages (not found).
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Theme Options
$caspiar_error_heading = cs_get_option('error_heading');
$caspiar_error_sub_heading = cs_get_option('error_sub_heading');
$caspiar_error_page_content = cs_get_option('error_page_content');
$caspiar_error_page_bg = cs_get_option('error_page_bg')['url'];
$caspiar_error_btn_text = cs_get_option('error_btn_text');
$caspiar_error_heading = ( $caspiar_error_heading ) ? $caspiar_error_heading : esc_html__( '404', 'caspiar' );
$caspiar_error_sub_heading = ( $caspiar_error_sub_heading ) ? $caspiar_error_sub_heading : esc_html__( 'Ooops!!! Something went Wrong', 'caspiar' );
$caspiar_error_page_content = ( $caspiar_error_page_content ) ? $caspiar_error_page_content : esc_html__( 'The page you are looking for is removed or might never existed.', 'caspiar' );
$caspiar_error_page_bg = $caspiar_error_page_bg ? $caspiar_error_page_bg : esc_url(CASPIAR_IMAGES) . '/404-bg.png';
$caspiar_error_btn_text = ( $caspiar_error_btn_text ) ? $caspiar_error_btn_text : esc_html__( 'BACK TO HOME', 'caspiar' );

get_header();
?>
<div class="cspir-mid-wrap">
  <div class="container">
    <div class="error-img-wrap">
    	<img src="<?php echo esc_url($caspiar_error_page_bg); ?>">
    </div>
    <div class="error-wrap" >
      <div class="error-info-wrap">
      <h2 class="error-subtitle"><?php echo esc_html($caspiar_error_sub_heading); ?></h2>
      <p><?php echo esc_html($caspiar_error_page_content); ?></p>
      <div class="cspir-btn-wrap"><a href="<?php echo esc_url(home_url( '/' )); ?>" class="cspir-btn active-btn" data-text="<?php echo esc_attr($caspiar_error_btn_text); ?>"><span class="btn-text"><?php echo esc_html($caspiar_error_btn_text); ?></span></a></div>
      </div>
    </div>
  </div>
</div>
<?php
get_footer();
