<?php
/*
 * The template for displaying archive pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();
$noneed_testimonial_post = cs_get_option('noneed_testimonial_post');
$noneed_case_studies_post = cs_get_option('noneed_case_studies_post');
$noneed_team_post = cs_get_option('noneed_team_post');

if(function_exists( 'caspiar_core_plugin_status' ) && (caspiar_is_post_type('testimonial') && !$noneed_testimonial_post)){

	$testimonial_limit = cs_get_option('testimonial_limit');
	$testimonial_orderby = cs_get_option('testimonial_orderby');
	$testimonial_order = cs_get_option('testimonial_order');
  $testimonial_limit = $testimonial_limit ? $testimonial_limit : '-1';

  // Query Starts Here
  // Pagination
  global $paged;
  if( get_query_var( 'paged' ) )
    $my_page = get_query_var( 'paged' );
  else {
    if( get_query_var( 'page' ) )
      $my_page = get_query_var( 'page' );
    else
      $my_page = 1;
    set_query_var( 'paged', $my_page );
    $paged = $my_page;
  }

  $args = array(
    'paged' => $my_page,
    'post_type' => 'testimonial',
    'posts_per_page' => (int)$testimonial_limit,
    'orderby' => $testimonial_orderby,
    'order' => $testimonial_order,
  );

  // RTL
  if ( is_rtl() ) {
    $switch_rtl = ' data-rtl="true"';
  } else {
    $switch_rtl = ' data-rtl="false"';
  }

  $caspiar_testi = new WP_Query( $args );
  if ($caspiar_testi->have_posts()) :
  ?>
  <div class="cfnc-testimonials testimonial-global">
    <div class="container">
      <!-- <div class="container"> -->
        <div class="owl-carousel" data-loop="true" data-items="2" data-margin="45" data-dots="false" data-nav="true" data-autoplay-timeout="5000" data-mouse-drag="true" data-items-tablet="3" data-items-mobile-landscape="2" data-items-mobile-portrait="1">
        
        <?php while ($caspiar_testi->have_posts()) : $caspiar_testi->the_post();

        // Get Meta Box Options - caspiar_framework_active()
        $testimonial_options = get_post_meta( get_the_ID(), 'testimonial_options', true );
        $testi_job = $testimonial_options['testi_position'];
        $testi_logo = $testimonial_options['testi_logo'];
        $social_icon = $testimonial_options['social_icon'];
        $social_icon_link = $testimonial_options['social_icon_link'];
        $social_icon_color = $testimonial_options['social_icon_color'];

        $color = $social_icon_color ? 'style="background-color:'.$social_icon_color.'"' : '';

        // Featured Image
        $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
        $caspiar_alt = get_post_meta( get_post_thumbnail_id(get_the_ID()), '_wp_attachment_image_alt', true);
        $large_image = $large_image[0];
        if(class_exists('Aq_Resize')) {
          $testi_img = aq_resize( $large_image, '80', '80', true );
        } else {$testi_img = $large_image;}

        ?>
          <div class="item">
            <div class="testimonial-item">
              <div class="testi-wrap">
                <?php if($large_image) { ?>
                <div class="cspir-image">
                  <img src="<?php echo esc_url($testi_img); ?>" alt="<?php echo esc_attr($caspiar_alt); ?>">
                    <div class="cspir-social rounded">
                      <?php
                      if($social_icon_link) { ?>
                        <a href="<?php echo esc_url($social_icon_link); ?>" <?php echo esc_attr($color); ?>><i class="<?php echo esc_attr($social_icon); ?>"></i></a>
                      <?php } ?>
                    </div>
                </div>
                <?php } ?>
                <div class="testi-infos">
                  <?php if($testi_logo['url']) { ?>
                    <div class="cspir-icon"><img src="<?php echo esc_url($testi_logo['url']); ?>" alt="<?php the_title_attribute(); ?>"></div>
                  <?php } ?>
                  <p><?php the_excerpt(); ?></p>
                  <h4 class="author-name"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_the_title()); ?></a><?php if ($testi_job) { ?> <span class="author-designation"><?php echo esc_html($testi_job); ?></span><?php } ?></h4>
                </div>
              </div>
            </div>
          </div>          
        <?php
        endwhile;
        wp_reset_postdata();
        ?>
      </div>
    </div>
  </div>

  <?php
    endif;

} elseif (function_exists( 'caspiar_core_plugin_status' ) && (caspiar_is_post_type('casestudies') && !$noneed_case_studies_post)) {

  $case_studies_style = cs_get_option('case_studies_style');
  $case_studies_col = cs_get_option('case_studies_col');
  $case_studies_limit = cs_get_option('case_studies_limit');
  $caspiar_case_studies_show_category = cs_get_option('case_studies_show_category');
  $caspiar_case_studies_orderby = cs_get_option('case_studies_orderby');
  $caspiar_case_studies_order = cs_get_option('case_studies_order');
  $caspiar_case_studies_pagination = cs_get_option('case_studies_pagination');
  $case_studies_limit = $case_studies_limit ? $case_studies_limit : '9';

  if($case_studies_style === 'two') {
    $style_class = ' studies-style-three';
  } else {
    $style_class = ' cspir-studies';
  }
  
  // Pagination
  global $paged;
  if( get_query_var( 'paged' ) )
    $my_page = get_query_var( 'paged' );
  else {
    if( get_query_var( 'page' ) )
      $my_page = get_query_var( 'page' );
    else
      $my_page = 1;
    set_query_var( 'paged', $my_page );
    $paged = $my_page;
  }

  if ($caspiar_case_studies_show_category) {
    $args = array(
      // other query params here,
      'paged' => $my_page,
      'post_type' => 'casestudies',
      'posts_per_page' => (int)$case_studies_limit,
      'tax_query' => array(
        array(
          'taxonomy' => 'casestudies_category',
          'field' => 'ID',
          'terms' => $caspiar_case_studies_show_category
        )
      ),
      'orderby' => $caspiar_case_studies_orderby,
      'order' => $caspiar_case_studies_order
    );
  } else {
    $args = array(
      // other query params here,
      'paged' => $my_page,
      'post_type' => 'casestudies',
      'posts_per_page' => (int)$case_studies_limit,
      'orderby' => $caspiar_case_studies_orderby,
      'order' => $caspiar_case_studies_order
    );
  }

  $caspiar_case = new WP_Query( $args ); ?>
  <div class="studies-global <?php echo esc_attr($style_class); ?>">
    <div class="container">
      <div class="row">
        <?php
        if ($caspiar_case->have_posts()) : while ($caspiar_case->have_posts()) : $caspiar_case->the_post();
          get_template_part( 'layouts/post/content', 'casestudies' );
          endwhile;
        else :
          get_template_part( 'layouts/post/content', 'none' );
        endif; ?>
      </div>
      <?php if($caspiar_case->max_num_pages > 1) {
        if ($caspiar_case_studies_pagination) { caspiar_paging_nav($caspiar_case->max_num_pages,"",$paged); }
      } wp_reset_postdata(); ?>
    </div>
  </div>

<?php } elseif (function_exists( 'caspiar_core_plugin_status' ) && (caspiar_is_post_type('team') && !$noneed_team_post)) {

  $team_limit = cs_get_option('team_limit');
  $team_orderby = cs_get_option('team_orderby');
  $team_order = cs_get_option('team_order');
  $caspiar_team_aqr = cs_get_option('team_aqr');
  $caspiar_team_pagination = cs_get_option('team_pagination');

  $team_limit = $team_limit ? $team_limit : '8';
  // Query Starts Here
  // Pagination
  global $paged;
  if( get_query_var( 'paged' ) )
    $my_page = get_query_var( 'paged' );
  else {
    if( get_query_var( 'page' ) )
      $my_page = get_query_var( 'page' );
    else
      $my_page = 1;
    set_query_var( 'paged', $my_page );
    $paged = $my_page;
  }

  $args = array(
    'paged' => $my_page,
    'post_type' => 'team',
    'posts_per_page' => (int)$team_limit,
    'orderby' => $team_orderby,
    'order' => $team_order,
  );

  $caspiar_team_qury = new WP_Query( $args );
  if ($caspiar_team_qury->have_posts()) :
  ?>

  <div class="cspir-team team-global">
    <div class="container">
      <div class="row">
        <?php
        while ($caspiar_team_qury->have_posts()) : $caspiar_team_qury->the_post();
        // Featured Image
    		$large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
    		$large_image = $large_image[0];
    		$abt_title = get_the_title();
        if ($caspiar_team_aqr) {
          $team_featured_img = $large_image;
        } else {
      		if(class_exists('Aq_Resize')) {
      			$team_img = aq_resize( $large_image, '265', '365', true );
      		} else {$team_img = $large_image;}
      		$team_featured_img = ( $team_img ) ? $team_img : esc_url(CASPIAR_IMAGES) . '/holders/265x365.png';
        }
        // Link
        $team_options = get_post_meta( get_the_ID(), 'team_options', true );
        if($team_options) {
          $team_pro = $team_options['team_job_position'];
          $team_socials = $team_options['social_icons'];
        } else {
          $team_pro = '';
          $team_socials = '';
        }
        ?>
        
        <div class="col-lg-3 col-md-4 col-sm-6">
          <div class="mate-item">
            <?php if ($large_image) { ?>
              <div class="cspir-image"><a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($team_featured_img); ?>" alt="<?php echo esc_attr($abt_title); ?>"></a></div>
              <?php } ?>
            <h4 class="mate-name"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html($abt_title); ?></a></h4>
            <p class="mate-designation"><?php echo esc_html($team_pro); ?></p>
            <?php if ( ! empty( $team_socials ) ) { ?>
              <div class="cspir-social">
                <?php foreach ( $team_socials as $social ) {
                if($social['icon_link']) { ?>
                  <a href="<?php echo esc_url($social['icon_link']); ?>"><i class="<?php echo esc_attr($social['icon']); ?>"></i></a>
                <?php } } ?>
              </div>
            <?php } ?>
          </div>
        </div>

        <?php endwhile; ?>
        </div>
        <?php if($caspiar_team_qury->max_num_pages > 1) {
          if ($caspiar_team_pagination) { caspiar_paging_nav($caspiar_team_qury->max_num_pages,"",$paged); }
        } wp_reset_postdata(); ?>
    </div>
  </div> <!-- Team End -->

  <?php
  endif;

} else {
// Metabox
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );

if ($caspiar_meta) {
	$caspiar_content_padding = $caspiar_meta['content_spacings'];
} else { $caspiar_content_padding = ''; }
// Padding - Metabox
if ($caspiar_content_padding && $caspiar_content_padding !== 'padding-none') {
  $caspiar_content_spacings_unit = $caspiar_meta['content_top_bottom_padding']['unit'];
  $caspiar_content_top_spacings = $caspiar_meta['content_top_bottom_padding']['top'];
  $caspiar_content_bottom_spacings = $caspiar_meta['content_top_bottom_padding']['bottom'];
  if ($caspiar_content_padding === 'padding-custom') {
    $caspiar_content_top_spacings = $caspiar_content_top_spacings ? 'padding-top:'.$caspiar_content_top_spacings.$caspiar_content_spacings_unit.';' : '';
    $caspiar_content_bottom_spacings = $caspiar_content_bottom_spacings ? 'padding-bottom:'.$caspiar_content_bottom_spacings.$caspiar_content_spacings_unit.';' : '';
    $caspiar_custom_padding = $caspiar_content_top_spacings . $caspiar_content_bottom_spacings;
  } else {
    $caspiar_custom_padding = '';
  }
} else {
  $caspiar_custom_padding = '';
}

// Theme Options
$caspiar_sidebar_position = cs_get_option('blog_sidebar_position');
$caspiar_blog_widget = cs_get_option('blog_widget');

if ($caspiar_blog_widget) {
  $widget_select = $caspiar_blog_widget;
} else {
  if (is_active_sidebar('sidebar-1')) {
    $widget_select = 'sidebar-1';
  } else {
    $widget_select = '';
  }
}

// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
  if ($caspiar_sidebar_position === 'sidebar-hide') {
    $layout_class = 'col-md-12';
    $caspiar_sidebar_class = 'hide-sidebar';
  } elseif ($caspiar_sidebar_position === 'sidebar-left') {
    $layout_class = 'cspir-primary';
    $caspiar_sidebar_class = 'left-sidebar';
  } else {
    $layout_class = 'cspir-primary';
    $caspiar_sidebar_class = 'right-sidebar';
  }
} else {
  $caspiar_sidebar_position = 'sidebar-hide';
  $layout_class = 'col-md-12';
  $caspiar_sidebar_class = 'hide-sidebar';
}
?>
<div class="cspir-mid-wrap cspir-post-listing <?php echo esc_attr($caspiar_content_padding .' '. $caspiar_sidebar_class); ?>" style="<?php echo esc_attr($caspiar_custom_padding); ?>">
  <div class="container">
    <div class="row">
      <div class="<?php echo esc_attr($layout_class); ?>">
        <div class="primary-wrap">
          <div class="blog-style-two blog-default">
            <?php do_action( 'caspiar_before_blog_listing_action' ); // Caspiar Action 
              if ( have_posts() ) :
                /* Start the Loop */
                while ( have_posts() ) : the_post();
                  get_template_part( 'layouts/post/content' );
                endwhile;
              else :
                get_template_part( 'layouts/post/content', 'none' );
              endif; ?>
              <?php
              caspiar_default_paging_nav();
              wp_reset_postdata();  // avoid errors further down the page
            do_action( 'caspiar_after_blog_listing_action' ); // Caspiar Action ?>
          </div>
        </div>
      </div>
      <?php if ($caspiar_sidebar_position !== 'sidebar-hide') { get_sidebar(); } ?>
    </div>
  </div>
</div>
<?php }
get_footer();
