<?php
/*
 * The template for displaying the footer.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
global $post;
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );

// Search Icon
if ($caspiar_meta) {
  $curve_footer = $caspiar_meta['curve_footer'];
  $caspiar_hide_footer_top = $caspiar_meta['hide_footer_top'];
} else {
  $curve_footer = cs_get_option('curve_footer');
  $caspiar_hide_footer_top = cs_get_option('hide_footer_top');
}

if($caspiar_meta && $caspiar_hide_footer_top != 'default') {
  $caspiar_hide_footer_top = $caspiar_meta['hide_footer_top'];
  $footer_top_title = $caspiar_meta['footer_top_title'];
  $footer_top_btn_txt = $caspiar_meta['footer_top_btn_txt'];
  $footer_top_btn_link = $caspiar_meta['footer_top_btn_link'];
} else {
  $caspiar_hide_footer_top = cs_get_option('hide_footer_top');
  $footer_top_title = cs_get_option('footer_top_title');
  $footer_top_btn_txt = cs_get_option('footer_top_btn_txt');
  $footer_top_btn_link = cs_get_option('footer_top_btn_link');
}

if($caspiar_meta && $curve_footer != 'default') {
  $curve_footer = $caspiar_meta['curve_footer'];
} else {
  $curve_footer = cs_get_option('curve_footer');
}

$footer_top_title = $footer_top_title ? $footer_top_title : cs_get_option('footer_top_title');
$footer_top_btn_txt = $footer_top_btn_txt ? $footer_top_btn_txt : cs_get_option('footer_top_btn_txt');
$footer_top_btn_link = $footer_top_btn_link ? $footer_top_btn_link : cs_get_option('footer_top_btn_link');

if ( ($footer_top_title ) && $caspiar_hide_footer_top === 'show') { 
  $footer_top_btn_txt = $footer_top_btn_txt ? $footer_top_btn_txt : esc_html__( 'Get More Traffic', 'caspiar' );
  ?>

<div class="cspir-callout above-footer-callout">
  <div class="container">
    <div class="row align-items-center">
      <div class="col-md-8">
        <?php if ($footer_top_title) { ?><h2 class="callout-title"><?php echo esc_html($footer_top_title); ?></h2><?php } ?>
      </div>
      <div class="col-md-4 textright">
        <?php if($footer_top_btn_link) { ?>
          <a href="<?php echo esc_url($footer_top_btn_link); ?>" class="cspir-btn cspir-white-border-btn"><?php echo esc_html($footer_top_btn_txt); ?></a>
        <?php } else { ?>
          <span class="cspir-btn cspir-white-border-btn"><?php echo esc_html($footer_top_btn_txt); ?></span>
        <?php } ?>
      </div>
    </div>
  </div>
</div>

<?php } ?>
</div><!-- Main Wrap Inner -->
<?php
if($curve_footer === 'show') { ?>
<div class="cspir-curve-footer"></div>
<?php }
if ($caspiar_meta) {
	$caspiar_hide_footer  = $caspiar_meta['hide_footer'];
  $caspiar_hide_copyright = $caspiar_meta['hide_copyright'];
} else {
  $caspiar_hide_footer = '';
  $caspiar_hide_copyright = '';
}
$left_copyright_text = cs_get_option('copyright_text');
$right_copyright_text = cs_get_option('copyright_text_right');

if (is_active_sidebar('footer-1') || is_active_sidebar('footer-2') || is_active_sidebar('footer-3') || is_active_sidebar('footer-4') || $left_copyright_text || $right_copyright_text) {
?>
<!-- Footer -->
<footer class="cspir-footer">
    <?php if (!$caspiar_hide_footer) { 
    if (is_active_sidebar('footer-1') || is_active_sidebar('footer-2') || is_active_sidebar('footer-3') || is_active_sidebar('footer-4') ) { ?>
      <div class="container">
        <div class="footer-wrap">
          <?php get_template_part( 'layouts/footer/footer', 'widgets' ); ?>
        </div>
      </div>
    <?php do_action( 'caspiar_after_footer_action' ); // Caspiar Action
    } }
    if(!$caspiar_hide_copyright) { 
    if ($left_copyright_text || $right_copyright_text) { ?>
      <div class="cspir-copyright">
        <div class="container">
          <div class="row align-items-center">
            <?php
            $need_copyright = cs_get_option('need_copyright');
            if($need_copyright) {
              get_template_part( 'layouts/footer/footer', 'copyright' );
            } ?>
          </div>
        </div>
      </div>
    <?php do_action( 'caspiar_after_copyright_action' ); // Caspiar Action
    } } ?>
  
</footer>
<!-- Footer -->
<?php } else {
if(!$caspiar_hide_copyright) { ?>
<footer class="cspir-footer">
  <div class="cspir-copyright alt-copyright">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-md-12 aligncenter">
          <p>&copy; <?php echo esc_html(date('Y')); ?>. <?php esc_html_e( 'Designed by', 'caspiar' ) ?> <a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_html_e( 'VictorThemes', 'caspiar' ) ?></a></p>
        </div>
      </div>
    </div>
  </div>
</footer>
<?php	} } // Hide Footer Metabox ?>
</div><!-- Main Wrap -->
<?php
$theme_preloader = cs_get_option('theme_preloader');
$theme_btotop = cs_get_option('theme_btotop');
if($theme_btotop) {
?>
<!-- Caspiar Back Top -->
<div class="cspir-back-top">
  <a href="javascript:void(0);"><i class="fa fa-angle-up" aria-hidden="true"></i></a>
</div>
<?php }
if ($theme_preloader) { ?>
<!-- Caspiar Preloader -->
<div class="cspir-preloader">
  <div class="loader-wrap">
    <div class="loader">
      <div class="loader-inner ball-triangle-path"></div>
    </div>
  </div>
</div>
<?php }
wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
<?php
