<?php
/*
 * The header for our theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php
// if the `wp_site_icon` function does not exist (ie we're on < WP 4.3)
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
    <link rel="shortcut icon" href="<?php echo esc_url(CASPIAR_IMAGES); ?>/favicon.png" />
<?php }
$caspiar_all_element_color  = cs_get_customize_option( 'all_element_colors' );
?>
<meta name="msapplication-TileColor" content="<?php echo esc_attr($caspiar_all_element_color); ?>">
<meta name="theme-color" content="<?php echo esc_attr($caspiar_all_element_color); ?>">

<link rel="profile" href="//gmpg.org/xfn/11">

<?php
// Metabox
global $post;
$caspiar_id    = ( isset( $post ) ) ? $post->ID : false;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $caspiar_id : false;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );

// Header Style
$caspiar_sticky_header      = cs_get_option('sticky_header');
$caspiar_sticky_footer      = cs_get_option('sticky_footer');

if ($caspiar_meta) {
  $caspiar_header_design_actual  = $caspiar_meta['select_header_design'];
  $one_page_menu = $caspiar_meta['one_page_menu'];
  $caspiar_search_icon        = $caspiar_meta['search_icon'];
  $caspiar_cart_icon    = $caspiar_meta['cart_icon'];
  $header_content = $caspiar_meta['header_content'];
  $wpml_shortcode = $caspiar_meta['wpml_shortcode'];
  $transparent_header = $caspiar_meta['transparent_header'];
  $curve_footer = $caspiar_meta['curve_footer'];
} else {
  $caspiar_header_design_actual  = cs_get_option('select_header_design');
  $one_page_menu = '';
  $caspiar_search_icon        = cs_get_option('search_icon');
  $caspiar_cart_icon    = cs_get_option('cart_icon');
  $header_content = cs_get_option('header_content');
  $wpml_shortcode = cs_get_option('wpml_shortcode');
  $transparent_header = cs_get_option('transparent_header');
  $curve_footer = cs_get_option('curve_footer');
}

$header_content = $header_content ? $header_content : cs_get_option('header_content');
$wpml_shortcode = $wpml_shortcode ? $wpml_shortcode : cs_get_option('wpml_shortcode');

// Header Style
if($caspiar_meta && $caspiar_header_design_actual != 'default') {
  $caspiar_header_design_actual = $caspiar_meta['select_header_design'];
} else {
  $caspiar_header_design_actual  = cs_get_option('select_header_design');
}
if($caspiar_meta && $caspiar_header_design_actual === 'style_three') {
  $transparent_header = $caspiar_meta['transparent_header'];
} else {
  $transparent_header = cs_get_option('transparent_header');
}

if($transparent_header === 'default') {
  $transparent_header = cs_get_option('transparent_header');
} else {
  $transparent_header = $transparent_header ? $transparent_header : cs_get_option('transparent_header');
}
if($caspiar_header_design_actual === 'style_three') {
  $header_style_class = ' cspir-header-style-three';
} elseif($caspiar_header_design_actual === 'style_two') {
  $header_style_class = ' cspir-header-style-two';
} else {
  $header_style_class = ' cspir-header-style-one';
}

if($caspiar_header_design_actual === 'style_three') {
  if($transparent_header === 'transparent') {
    $transparent_class = ' transparent-header';
  } else {
    $transparent_class = ' normal-header';
  }
} else {
  $transparent_class = ' normal-header';
}

if($one_page_menu) {
  $parallax_menu_class = ' smooth-scroll';
} else {
  $parallax_menu_class = '';
}
if ($caspiar_sticky_footer) {
  $footer_class = ' cspir-sticky-footer';
} else {
  $footer_class = '';
}
if ($caspiar_sticky_header) {
  $header_class = ' cspir-sticky';
} else {
  $header_class = '';
}

// Search Icon
if($caspiar_meta && $caspiar_search_icon != 'default') {
  $caspiar_search_icon  = $caspiar_meta['search_icon'];
} else {
  $caspiar_search_icon  = cs_get_option('search_icon');
}

// Cart Icon
if($caspiar_meta && $caspiar_cart_icon != 'default') {
  $caspiar_cart_icon  = $caspiar_meta['cart_icon'];
} else {
  $caspiar_cart_icon  = cs_get_option('cart_icon');
}

if ($caspiar_meta) {
  $hide_header  = $caspiar_meta['hide_header'];
} else {
  $hide_header = '';
}

if($caspiar_meta && $curve_footer != 'default') {
  $curve_footer = $caspiar_meta['curve_footer'];
} else {
  $curve_footer = cs_get_option('curve_footer');
}
if($curve_footer === 'show') {
  $curve_footer_class = ' curve-footer';
} else {
  $curve_footer_class = '';
}
wp_head();
// Dynamic styles include
do_action('caspiar-dynamic-styles');
?>
</head>
<body <?php body_class(); ?>>
<!-- Full Page -->
<!-- Caspiar Main Wrap -->
<div class="cspir-main-wrap <?php echo esc_attr($footer_class.$header_style_class.$curve_footer_class); ?>">
  <!-- Caspiar Main Wrap Inner -->
  <div class="main-wrap-inner">
  <?php
  
  if(!$hide_header) {
  // Header
  do_action( 'caspiar_before_header_action' ); // Caspiar Action 
  if($caspiar_header_design_actual === 'style_three') { ?>
    <header class="cspir-header <?php echo esc_attr($transparent_class.$header_class); ?>">
      <div class="container">
        <div class="row align-items-center">
          <div class="col-md-3 col-7">
            <?php get_template_part( 'layouts/header/logo' ); ?>
          </div>
          <div class="col-md-6 text-center hide-responsive">
            <div class="navigation-main-wrap">
              <?php get_template_part( 'layouts/header/menu', 'bar' ); ?>
            </div>
          </div>
          <div class="col-md-3 col-5">
            <div class="header-right">
              <div class="header-links-wrap">
                <div class="cspir-header-content">
                  <?php echo do_shortcode($header_content); ?>
                </div>
                <?php if($caspiar_cart_icon === 'show') {
                  get_template_part( 'layouts/header/header', 'cart' );
                }
                if($caspiar_search_icon === 'show') {
                  get_template_part( 'layouts/header/header', 'search' );
                }
                echo do_shortcode($wpml_shortcode); ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </header>
<?php } elseif($caspiar_header_design_actual === 'style_two') { ?>
    <header class="cspir-header <?php echo esc_attr($transparent_class.$header_class); ?> ">
      <div class="container">
        <div class="row align-items-center">
          <div class="col-md-3 col-6">
            <?php get_template_part( 'layouts/header/logo' ); ?>
          </div>
          <div class="col-md-9 col-6">
            <div class="header-right">
              <?php echo do_shortcode($header_content); ?>
            </div>
          </div>
        </div>
        <div class="navigation-wrap">
          <div class="row align-items-center">
            <div class="col-lg-9">
              <?php get_template_part( 'layouts/header/menu', 'bar' ); ?>
            </div>
            <div class="col-lg-3">
              <div class="header-links-wrap">
                <?php 
                  echo do_shortcode($wpml_shortcode);
                  if($caspiar_cart_icon === 'show') {
                    get_template_part( 'layouts/header/header', 'cart' );
                  }
                  if($caspiar_search_icon === 'show') {
                    get_template_part( 'layouts/header/header', 'search' );
                  } 
                ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </header>
<?php } else { ?>
    <header class="cspir-header <?php echo esc_attr($transparent_class.$header_class); ?> ">
      <div class="container">
        <div class="row align-items-center">
          <div class="col-md-3 col-7">
            <?php get_template_part( 'layouts/header/logo' ); ?>
          </div>
          <div class="col-md-9 col-5">
            <div class="header-right">
              <div class="navigation-main-wrap">
                <?php get_template_part( 'layouts/header/menu', 'bar' ); ?>
              </div>
              <div class="header-links-wrap">
                <?php 
                if($caspiar_cart_icon === 'show') {
                  get_template_part( 'layouts/header/header', 'cart' );
                }
                if($caspiar_search_icon === 'show') {
                  get_template_part( 'layouts/header/header', 'search' );
                }
                echo do_shortcode($wpml_shortcode); ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </header>
  <?php }
  do_action( 'caspiar_after_header_action' ); // Caspiar Action
  }
  $featured_img_type = cs_get_option('blog_single_featured_img_type');
  // Title Area
  $caspiar_need_title_bar = cs_get_option('need_title_bar');
  $single_featured_img = cs_get_option('single_featured_img');
  // CaspiarWP
  // $caspiar_need_title_bar CaspiarWP
  if(!is_404()) {
    if(is_singular('post')){
      if($featured_img_type === 'original' || $single_featured_img){
        get_template_part( 'layouts/header/title', 'bar' );
      }
    } else {
      get_template_part( 'layouts/header/title', 'bar' );
    }
  }
