<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

/**
 * Enqueue Files for FrontEnd
 */
if ( ! function_exists( 'caspiar_vt_scripts_styles' ) ) {
  function caspiar_vt_scripts_styles() {

    // Styles
    wp_enqueue_style( 'caspiar-google-font', '//fonts.googleapis.com/css?family=Quicksand:300,400,500,600,700|Nunito+Sans:300,400,600,700,900&display=swap' );
    wp_enqueue_style( 'font-awesome', CASPIAR_CSS . '/font-awesome.min.css', array(), '4.7.0', 'all' );
    wp_enqueue_style( 'animate', CASPIAR_CSS .'/animate.min.css', array(), '3.6.0', 'all' );
    wp_enqueue_style( 'themify-icons', CASPIAR_CSS .'/themify-icons.min.css', array(), CASPIAR_VERSION, 'all' );
    wp_enqueue_style( 'linea', CASPIAR_CSS .'/linea.min.css', array(), CASPIAR_VERSION, 'all' );
    wp_enqueue_style( 'loaders', CASPIAR_CSS .'/loaders.min.css', array(), CASPIAR_VERSION, 'all' );
    wp_enqueue_style( 'nice-select', CASPIAR_CSS .'/nice-select.min.css', array(), CASPIAR_VERSION, 'all' );
    wp_enqueue_style( 'owl-carousel', CASPIAR_CSS .'/owl.carousel.min.css', array(), '2.2.1', 'all' );
    wp_enqueue_style( 'magnific-popup', CASPIAR_CSS .'/magnific-popup.min.css', array(), CASPIAR_VERSION, 'all' );
    wp_enqueue_style( 'meanmenu', CASPIAR_CSS .'/meanmenu.css', array(), '2.0.7', 'all' );
    wp_enqueue_style( 'bootstrap', CASPIAR_CSS .'/bootstrap.min.css', array(), '4.1.3', 'all' );
    wp_enqueue_style( 'flexslider', CASPIAR_CSS .'/flexslider.min.css', array(), '2.6.4', 'all' );
    wp_enqueue_style( 'jquery-rateyo', CASPIAR_CSS .'/jquery.rateyo.min.css', array(), '2.6.4', 'all' );
    wp_enqueue_style( 'caspiar-styles', CASPIAR_CSS .'/styles.css', array(), '1.0.9', 'all' );

    // Scripts
    wp_enqueue_script( 'popper', CASPIAR_SCRIPTS . '/popper.min.js', array( 'jquery' ), CASPIAR_VERSION, true );
    wp_enqueue_script( 'bootstrap', CASPIAR_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '4.1.3', true );
    wp_enqueue_script( 'html5shiv', CASPIAR_SCRIPTS . '/html5shiv.min.js', array( 'jquery' ), '3.7.0', true );
    wp_enqueue_script( 'respond', CASPIAR_SCRIPTS . '/respond.min.js', array( 'jquery' ), '1.4.2', true );
    wp_enqueue_script( 'placeholders', CASPIAR_SCRIPTS . '/placeholders.min.js', array( 'jquery' ), '4.0.1', true );
    wp_enqueue_script( 'jquery-sticky', CASPIAR_SCRIPTS . '/jquery.sticky.min.js', array( 'jquery' ), '1.0.5', true );
    wp_enqueue_script( 'jquery-nice-select', CASPIAR_SCRIPTS . '/jquery.nice-select.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'theia-sticky-sidebar', CASPIAR_SCRIPTS . '/theia-sticky-sidebar.min.js', array( 'jquery' ), '1.5.0', true );
    wp_enqueue_script( 'jquery-matchheight', CASPIAR_SCRIPTS . '/jquery.matchHeight-min.js', array( 'jquery' ), '0.7.2', true );
    wp_enqueue_script( 'waypoints', CASPIAR_SCRIPTS . '/waypoints.min.js', array( 'jquery' ), '2.0.3', true );
    wp_enqueue_script( 'page-scroll', CASPIAR_SCRIPTS . '/page-scroll.min.js', array( 'jquery' ), '1.5.8', true );
    wp_enqueue_script( 'owl-carousel', CASPIAR_SCRIPTS . '/owl.carousel.min.js', array( 'jquery' ), '2.1.6', true );
    wp_enqueue_script( 'jquery-countdown', CASPIAR_SCRIPTS . '/jquery.countdown.min.js', array( 'jquery' ), '1.6.2', true );
    wp_enqueue_script( 'jquery-counterup', CASPIAR_SCRIPTS . '/jquery.counterup.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'magnific-popup', CASPIAR_SCRIPTS . '/jquery.magnific-popup.min.js', array( 'jquery' ), '1.1.0', true );
    wp_enqueue_script( 'loaders', CASPIAR_SCRIPTS . '/loaders.min.js', array( 'jquery' ), CASPIAR_VERSION, true );
    wp_enqueue_script( 'jquery-meanmenu', CASPIAR_SCRIPTS . '/jquery.meanmenu.js', array( 'jquery' ), '2.0.8', true );
    wp_enqueue_script( 'flexslider', CASPIAR_SCRIPTS . '/flexslider.min.js', array( 'jquery' ), '2.6.4', true );
    wp_enqueue_script( 'jquery-wow', CASPIAR_SCRIPTS . '/jquery.wow.min.js', array( 'jquery' ), '1.1.3', true );
    wp_enqueue_script( 'jquery-rateyo', CASPIAR_SCRIPTS . '/jquery.rateyo.min.js', array( 'jquery' ), '2.3.3', true );
    wp_enqueue_script( 'highcharts', CASPIAR_SCRIPTS . '/highcharts.min.js', array( 'jquery' ), '6.1.1', true );
    wp_enqueue_script( 'jquery-responsivetabs', CASPIAR_SCRIPTS . '/jquery.responsiveTabs.min.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'swiper', CASPIAR_SCRIPTS . '/swiper.min.js', array( 'jquery' ), '8.1.1', true );
    wp_enqueue_script( 'caspiar-scripts', CASPIAR_SCRIPTS . '/scripts.js', array( 'jquery' ), '1.0.1', true );

    // Comments
    wp_enqueue_script( 'jquery-validate', CASPIAR_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_add_inline_script( 'jquery-validate', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive
    wp_enqueue_style( 'caspiar-responsive', CASPIAR_CSS .'/responsive.css', array(), '1.0.9', 'all' );

    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'caspiar_vt_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'caspiar_vt_admin_scripts_styles' ) ) {
  function caspiar_vt_admin_scripts_styles() {

    wp_enqueue_style( 'caspiar-admin-main', CASPIAR_CSS . '/admin-styles.css', true );
    wp_enqueue_script( 'caspiar-admin-scripts', CASPIAR_SCRIPTS . '/admin-scripts.js', true );
    wp_enqueue_style( 'themify-icons', CASPIAR_CSS .'/themify-icons.min.css', array(), CASPIAR_VERSION, 'all' );
    wp_enqueue_style( 'linea', CASPIAR_CSS .'/linea.min.css', array(), CASPIAR_VERSION, 'all' );
  }
  add_action( 'admin_enqueue_scripts', 'caspiar_vt_admin_scripts_styles' );
}

/* Enqueue All Styles */
if ( ! function_exists( 'caspiar_vt_wp_enqueue_styles' ) ) {
  function caspiar_vt_wp_enqueue_styles() {
    caspiar_vt_google_fonts();
    caspiar_custom_google_fonts();
  }
  add_action( 'wp_enqueue_scripts', 'caspiar_vt_wp_enqueue_styles' );
}

/**
 * Apply theme's stylesheet to the visual editor.
 *
 * @uses add_editor_style() Links a stylesheet to visual editor
 * @uses get_stylesheet_uri() Returns URI of theme stylesheet
 */
function caspiar_add_editor_styles() {
  add_editor_style( get_stylesheet_uri() );
}
add_action( 'init', 'caspiar_add_editor_styles' );
