<?php
/*
 * All customizer related options for Caspiar theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Control core classes for avoid errors
if( class_exists( 'CSF' ) ) {

  // Set a unique slug-like ID
  $prefix = 'caspiar_csf_customizer';

  // Create customize options
  CSF::createCustomizeOptions( $prefix );

  // Primary Color
  CSF::createSection( $prefix, array(
    'name'        => 'elemets_color_section',
	  'title'       => esc_html__( 'Primary Color', 'caspiar' ),
  	'priority' 		=> 1,
    'fields' => array(

      array(
	      'id'      => 'all_element_colors',
	      'type'    => 'color',
	      'title' => esc_html__( 'Elements Color', 'caspiar' ),
				'desc'    => esc_html__( 'This is theme primary color, means it\'ll affect all elements that have default color of our theme primary color.', 'caspiar' ),
	      'default' => '#ff5c97',
	    ),
      array(
        'id'        => 'button_boxshadow_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Button\'s Box Shadow Color', 'caspiar' ),
      ),

    )
  ) );

  // Secondary Color
  CSF::createSection( $prefix, array(
    'name'        => 'elemets_sec_color_section',
	  'title'       => esc_html__( 'Secondary Color', 'caspiar' ),
  	'priority' 		=> 2,
    'fields' => array(

      array(
	      'id'      => 'all_element_secondary_colors',
	      'type'    => 'color',
	      'title' => esc_html__( 'Elements Secondary Color', 'caspiar' ),
				'desc'    => esc_html__( 'This is theme secondary color, means it\'ll affect all elements that have default color of our theme secondary color.', 'caspiar' ),
	      'default' => '#4c25c4',
	    ),
      array(
        'id'        => 'button_boxshadow_hover_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Button\'s Hover Box Shadow Color', 'caspiar' ),
      ),

    )
  ) );

  // Header Color
  CSF::createSection( $prefix, array(
	  'id'        => 'header_color_section',
	  'title'       => esc_html__( '01. Header Colors', 'caspiar' ),
	  'priority' => 4,
	) );

	// Normal Header
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'header_color_section',
    'name'        => 'normal_header_section',
	  'title'       => esc_html__( 'Header', 'caspiar' ),
    'fields' => array(

      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Main Menu Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'header_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
	    array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Sub-Menu Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'submenu_bg_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Background Color', 'caspiar' ),
      ),
      array(
        'id'        => 'submenu_border_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Border Color', 'caspiar' ),
      ),
	    array(
        'id'        => 'submenu_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Header General Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'header_bg_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Background Color', 'caspiar' ),
      ),
      array(
        'id'        => 'header_border_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Border Color', 'caspiar' ),
      ),
      array(
        'id'        => 'header_text_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Text Color', 'caspiar' ),
      ),
      array(
        'id'        => 'right_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
      array(
        'id'        => 'cart_icon_txt_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Cart Counter Number Color', 'caspiar' ),
      ),
      array(
        'id'        => 'cart_icon_bg_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Cart Counter Background Color', 'caspiar' ),
      ),

      // Default Header Sticky Menu
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Main Menu Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_header_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Header Sticky General Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_header_bg_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Background Color', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_header_border_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Border Color', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_header_text_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Text Color', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_right_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_cart_icon_txt_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Cart Counter Number Color', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_cart_icon_bg_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Cart Counter Background Color', 'caspiar' ),
      ),

      )
    ) );

    // Transparent Header
    CSF::createSection( $prefix, array(
      'parent'      => 'header_color_section',
      'name'        => 'trans_header_section',
      'title'       => esc_html__( 'Transparent Header', 'caspiar' ),
      'fields' => array(
      // Transparent
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Transparent Main Menu Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'trans_header_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Transparent Header General Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'trans_header_bg_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Background Color', 'caspiar' ),
      ),
      array(
        'id'        => 'trans_header_text_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Text Color', 'caspiar' ),
      ),
      array(
        'id'        => 'trans_right_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
      array(
        'id'        => 'trans_cart_icon_txt_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Cart Counter Number Color', 'caspiar' ),
      ),
      array(
        'id'        => 'trans_cart_icon_bg_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Cart Counter Background Color', 'caspiar' ),
      ),

      // Sticky Transparent header
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Transparent Sticky Main Menu Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_trans_header_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Sticky Transparent Header Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_trans_header_bg_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Background Color', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_trans_header_text_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Text Color', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_trans_right_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_trans_cart_icon_txt_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Cart Counter Number Color', 'caspiar' ),
      ),
      array(
        'id'        => 'stky_trans_cart_icon_bg_color',
        'type'      => 'color',
        'title'     => esc_html__( 'Cart Counter Background Color', 'caspiar' ),
      ),

    )
  ) );


  // Mobile Menu
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'header_color_section',
    'name'        => 'mobile_menu_section',
	  'title'       => esc_html__( 'Mobile Menu', 'caspiar' ),
    'fields' => array(

      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Mobile Menu Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'mobile_menu_color',
        'type'      => 'color_group',
        'title' => esc_html__( 'Menu Colors', 'caspiar' ),
        'options'   => array(
          'toggle_color' => 'Menu Toggle Color',
          'border_color' => 'Border Color',
        )
      ),      
      array(
        'id'        => 'mobile_menu_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Link Color', 'caspiar' ),
      ),
	    array(
        'id'        => 'mobile_menu_expand_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Menu Expand Color', 'caspiar' ),
      ),
      array(
        'id'        => 'mobile_menu_expand_bg_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Menu Expand Background Color', 'caspiar' ),
      ),	    

    )
  ) );

  // Title Bar
  CSF::createSection( $prefix, array(
    'name'        => 'titlebar_section',
	  'title'       => esc_html__( '02. Title Bar Colors', 'caspiar' ),
	  'priority' => 6,
    'fields' => array(

      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Title Bar Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'titlebar_title_color',
        'type'      => 'color',
        'title' => esc_html__( 'Title Color', 'caspiar' ),
      ),
      array(
        'id'        => 'titlebar_content_color',
        'type'      => 'color',
        'title' => esc_html__( 'Content Color', 'caspiar' ),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Breadcrumbs Colors', 'caspiar' ),
      ),
      array(
        'id'        => 'breadcrumb_text_color',
        'type'      => 'color',
        'title' => esc_html__( 'Breadcrumbs Text Color', 'caspiar' ),
      ),
      array(
        'id'        => 'breadcrumb_link_color',
        'type'      => 'link_color',
        'title' => esc_html__( 'Breadcrumbs Link Color', 'caspiar' ),
      ),

    )
  ) );

  // Content
  CSF::createSection( $prefix, array(
	  'id'        => 'content_section',
	  'title'       => esc_html__( '03. Content Colors', 'caspiar' ),
	  'desc' => esc_html__( 'This is all about content area text and heading colors.', 'caspiar' ),
	  'priority' => 7,
	) );

	// Content Color
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'content_section',
    'name'          => 'content_text_section',
    'title'         => esc_html__( 'Content Text', 'caspiar' ),
    'fields' => array(

      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Body Content', 'caspiar' ),
      ),
      array(
	      'id'      => 'body_color',
	      'type'    => 'color',
	      'title'   => esc_html__( 'Body & Content Color', 'caspiar' ),
	    ),
      array(
        'id'        => 'body_links_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Body Links Color', 'caspiar' ),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Sidebar Content', 'caspiar' ),
      ),
      array(
	      'id'      => 'sidebar_content_color',
	      'type'    => 'color',
	      'title'   => esc_html__( 'Sidebar Content Color', 'caspiar' ),
	    ),
      array(
        'id'        => 'sidebar_links_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Sidebar Links Color', 'caspiar' ),
      ),    

    )
  ) );

  // Headings Color
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'content_section',
    'name'          => 'content_heading_section',
    'title'         => esc_html__( 'Headings', 'caspiar' ),
    'fields' => array(

      array(
	      'id'        => 'content_heading_color',
	      'type'      => 'color_group',
	      'title' => esc_html__( 'Headings', 'caspiar' ),
	      'options'   => array(
	        'content_heading_color' => 'Content Heading',
	        'sidebar_heading_color' => 'Sidebar Heading',
	      )
	    ),   

    )
  ) );

  // Footer
  CSF::createSection( $prefix, array(
	  'id'        => 'footer_section',
	  'title'       => esc_html__( '04. Footer Colors', 'caspiar' ),
	  'desc' => esc_html__( 'This is all about footer settings. Make sure you\'ve enabled your needed section at : SaaSpot > Theme Options > Footer', 'caspiar' ),
	  'priority' => 8,
	) );

  // Footer Widget Colors
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'footer_section',
    'name'        => 'footer_widget_section',
	  'title'       => esc_html__( 'Widget Block', 'caspiar' ),
    'fields' => array(

      array(
	      'id'        => 'footer_colors',
	      'type'      => 'color_group',
	      'title' => esc_html__( 'Footer Colors', 'caspiar' ),
	      'options'   => array(
	        'footer_bg_color' => 'Background Color',
	        'footer_heading_color' => 'Heading Color',
	        'footer_text_color' => 'Content Color',
	      )
	    ),
	    array(
        'id'        => 'footer_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Footer Link Color', 'caspiar' ),
      ),

    )
  ) );

  // Footer Copyright Colors
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'footer_section',
    'name'        => 'copyright_section',
	  'title'       => esc_html__( 'Copyright Block', 'caspiar' ),
    'fields' => array(

      array(
	      'id'        => 'copyright_colors',
	      'type'      => 'color_group',
	      'title' => esc_html__( 'Copyright Colors', 'caspiar' ),
	      'options'   => array(
	        'copyright_bg_color' => 'Background Color',
	        'copyright_text_color' => 'Content Color',
	      )
	    ),
	    array(
        'id'        => 'copyright_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__( 'Copyright Link Color', 'caspiar' ),
      ),

    )
  ) );

}
