<?php
// Logo Image
$caspiar_brand_logo_default = cs_get_option('brand_logo_default') ? cs_get_option('brand_logo_default')['url'] : '';
$caspiar_transparent_logo = cs_get_option('transparent_logo_default') ? cs_get_option('transparent_logo_default')['url'] : '';

// Metabox - Header Transparent
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );
// Retina Size
$caspiar_retina_width = cs_get_option('logo_width_height') ? cs_get_option('logo_width_height')['width'] : '';
$caspiar_retina_height = cs_get_option('logo_width_height') ? cs_get_option('logo_width_height')['height'] : '';
// Logo Spacings
$caspiar_brand_logo_unit = cs_get_option('brand_logo_top_bottom') ? cs_get_option('brand_logo_top_bottom')['unit'] : '';
$caspiar_brand_logo_top = cs_get_option('brand_logo_top_bottom') ? cs_get_option('brand_logo_top_bottom')['top'] : '';
$caspiar_brand_logo_bottom = cs_get_option('brand_logo_top_bottom') ? cs_get_option('brand_logo_top_bottom')['bottom'] : '';
if ($caspiar_brand_logo_top !== '') {
	$caspiar_brand_logo_top = $caspiar_brand_logo_top ? 'padding-top:'.$caspiar_brand_logo_top.$caspiar_brand_logo_unit.';' : '';
} else { $caspiar_brand_logo_top = ''; }
if ($caspiar_brand_logo_bottom !== '') {
	$caspiar_brand_logo_bottom = $caspiar_brand_logo_bottom ? 'padding-bottom:'.$caspiar_brand_logo_bottom.$caspiar_brand_logo_unit.';' : '';
} else { $caspiar_brand_logo_bottom = ''; }

$caspiar_brand_logo_top = $caspiar_brand_logo_top ? $caspiar_brand_logo_top : '';
$caspiar_brand_logo_bottom = $caspiar_brand_logo_bottom ? $caspiar_brand_logo_bottom : '';

$transparent_logo_class = $caspiar_transparent_logo ? ' hav-transparent-logo' : ' dhav-transparent-logo';
$caspiar_logo_default_cls = $caspiar_brand_logo_default ? ' hav-default-logo' : ' dhav-default-logo';
?>
<div class="cspir-brand <?php echo esc_attr($transparent_logo_class .$caspiar_logo_default_cls); ?>" style="<?php echo esc_attr($caspiar_brand_logo_top); echo esc_attr($caspiar_brand_logo_bottom); ?>">
  <?php do_action( 'caspiar_before_logo_action' ); // Caspiar Action ?>
	<a href="<?php echo esc_url(home_url( '/' )); ?>">
	<?php

		if ($caspiar_transparent_logo) {
			echo '<img src="'. esc_url($caspiar_transparent_logo) .'" alt="'. esc_attr(get_bloginfo( 'name' )) . '" class="transparent-logo" width="'. esc_attr($caspiar_retina_width) .'" height="'. esc_attr($caspiar_retina_height) .'">';
		}
		if ($caspiar_brand_logo_default) {
			echo '<img src="'. esc_url($caspiar_brand_logo_default) .'" alt="'. esc_attr(get_bloginfo( 'name' )) . '" class="default-logo normal-logo" width="'. esc_attr($caspiar_retina_width) .'" height="'. esc_attr($caspiar_retina_height) .'">';
		} else {
			echo '<div class="text-logo">'. esc_html(get_bloginfo( 'name' )) . '</div>';
		}
	echo '</a>';
	?>
  <?php do_action( 'caspiar_after_logo_action' ); // Caspiar Action ?>
</div>
<?php
