<?php
/*
 * Admin Styles for Sensation Theme
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Category
global $post;

$case_studies_style = cs_get_option('case_studies_style');
$caspiar_case_studies_aqr = cs_get_option('case_studies_aqr');
$caspiar_read_more_text = cs_get_option('case_studies_read_more');
$case_studies_col = cs_get_option('case_studies_col');
$caspiar_read_text = $caspiar_read_more_text ? $caspiar_read_more_text : esc_html__( 'VIEW DETAILS', 'caspiar' );
// Featured Image
$caspiar_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$caspiar_large_image = $caspiar_large_image[0];

if ($case_studies_col === 'four') {
  $col_class = ' col-lg-3 col-md-4 col-sm-6';
} else {
  $col_class = ' col-lg-4 col-md-4 col-sm-6';
}

if ($caspiar_case_studies_aqr) {
  $caspiar_featured_img = $caspiar_large_image;
} else {
  if(class_exists('Aq_Resize')) {
    $caspiar_case_studies_img = aq_resize( $caspiar_large_image, '370', '380', true );
  } else {$caspiar_case_studies_img = $caspiar_large_image;}
  $caspiar_featured_img = ( $caspiar_case_studies_img ) ? $caspiar_case_studies_img : esc_url(CASPIAR_IMAGES) . '/holders/370x380.png';
}
if($case_studies_style === 'two') {
?>
<div class="<?php echo esc_attr($col_class); ?>">
  <div class="studie-item">
    <div class="cspir-icon">
      <a href="<?php echo esc_url( get_permalink() ); ?>">
        <img src="<?php echo esc_url($caspiar_featured_img); ?>" alt="<?php the_title_attribute(); ?>">
      </a>
      <a href="<?php echo esc_url( get_permalink() ); ?>" class="studie-link-wrap"><?php echo esc_html(get_the_title()); ?></a>
    </div>
  </div>
</div>
<?php } else { ?>

<div class="<?php echo esc_attr($col_class); ?>">
  <div class="studie-item wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s">
    <div class="cspir-icon"><a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($caspiar_featured_img); ?>" alt="<?php the_title_attribute(); ?>"></a></div>
    <div class="studie-info">
      <h4 class="studie-title">
        <a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_the_title()); ?></a>
        <a href="<?php echo esc_url( get_permalink() ); ?>" class="studie-link"><i class="fa fa-angle-right" aria-hidden="true"></i></a>
      </h4>
    </div>
  </div>
</div>

<?php }
