<?php
/**
 * Single Post.
 */

global $post;
// Metabox
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );

if ($caspiar_meta) {
	$caspiar_content_padding = $caspiar_meta['content_spacings'];
} else { $caspiar_content_padding = ''; }
// Padding - Metabox
if ($caspiar_content_padding && $caspiar_content_padding !== 'padding-none') {
	$caspiar_content_spacings_unit = $caspiar_meta['content_top_bottom_padding']['unit'];
	$caspiar_content_top_spacings = $caspiar_meta['content_top_bottom_padding']['top'];
	$caspiar_content_bottom_spacings = $caspiar_meta['content_top_bottom_padding']['bottom'];
	if ($caspiar_content_padding === 'padding-custom') {
		$caspiar_content_top_spacings = $caspiar_content_top_spacings ? 'padding-top:'.$caspiar_content_top_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_content_bottom_spacings = $caspiar_content_bottom_spacings ? 'padding-bottom:'.$caspiar_content_bottom_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_custom_padding = $caspiar_content_top_spacings . $caspiar_content_bottom_spacings;
	} else {
		$caspiar_custom_padding = '';
	}
} else {
	$caspiar_custom_padding = '';
}

// Theme Options
$caspiar_sidebar_position = cs_get_option('single_sidebar_position');
$caspiar_single_blog_widget = cs_get_option('single_blog_widget');
if ($caspiar_single_blog_widget) {
	$widget_select = $caspiar_single_blog_widget;
} else {
	if (is_active_sidebar('sidebar-1')) {
		$widget_select = 'sidebar-1';
	} else {
		$widget_select = '';
	}
}

// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($caspiar_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$caspiar_sidebar_class = 'hide-sidebar';
	} elseif ($caspiar_sidebar_position === 'sidebar-left') {
		$layout_class = 'cspir-primary';
		$caspiar_sidebar_class = 'left-sidebar';
	} else {
		$layout_class = 'cspir-primary';
		$caspiar_sidebar_class = 'right-sidebar';
	}
} else {
	$caspiar_sidebar_position = 'sidebar-hide';
	$layout_class = 'col-md-12';
	$caspiar_sidebar_class = 'hide-sidebar';
}

$caspiar_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$caspiar_large_image = $caspiar_large_image[0];

$date_format = cs_get_option('blog_date_format');
$date_format_actual = $date_format ? $date_format : '';
// Single Theme Option
$caspiar_metas_hide = (array) cs_get_option( 'theme_single_metas_hide' );
$single_featured_img = cs_get_option('single_featured_img');

if($caspiar_large_image) {
  $img_class = '';
} else {
  $img_class = ' no-img';
}

if ( function_exists( 'caspiar_post_single_share_option' ) && !in_array( 'share', $caspiar_metas_hide ) ) {	
		$tag_column = 'col-sm-12 col-md-8';
 } else {
 	$tag_column = 'col-sm-12 col-md-12';
 }

$featured_img_type = cs_get_option('blog_single_featured_img_type');

if(class_exists('Aq_Resize')) {
  $blog_img = aq_resize( $caspiar_large_image, '819', '470', true );
} else {$blog_img = $caspiar_large_image;}

$cat_list = get_the_category();
$caspiar_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
if($featured_img_type != 'original' && !$single_featured_img) { ?>
	<div class="cspir-banner title-bar-banner cspir-parallax" data-parallax-background-ratio=".5" style="background-image: url(<?php echo esc_url($caspiar_large_image); ?>)">
		<div class="cspir-table-wrap">
	    <div class="cspir-align-wrap">
	      <div class="container">
	        <div class="page-title-info-wrap">
	        <div class="blog-info">
		        <?php if ( !in_array( 'category', $caspiar_metas_hide ) ) {
				    	if (has_category()){
				    	?> <div class="blog-cat"> <?php echo the_category(' '); ?></div>
				  	<?php } } ?>
			  	</div>
            <h1 class="page-title"><?php echo esc_html(caspiar_title_area()); ?></h1>
            <div class="blog-author">
				  	 	<?php if ( !in_array( 'author', $caspiar_metas_hide ) ) { ?>
					  	<span><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 98 ); ?> <?php echo esc_html(get_the_author()); ?></a></span> <?php } 
					  	if ( !in_array( 'date', $caspiar_metas_hide ) ) { ?>
						    <div class="blog-date"> <?php echo esc_html(get_the_date($date_format_actual)); ?></div>
						  <?php } ?>
	  	 			</div>
	        </div>
	      </div>
	    </div>
	  </div>

	</div>
<?php }
?>
<div class="cspir-mid-wrap cspir-post-single <?php echo esc_attr($caspiar_content_padding .' '. $caspiar_sidebar_class); ?>" style="<?php echo esc_attr($caspiar_custom_padding); ?>">
	<div class="container">
    <div class="row">
    	<?php
	    if ($caspiar_sidebar_position === 'sidebar-left' && $caspiar_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}	?>
      <div class="<?php echo esc_attr($layout_class); ?>">
	      <div class="primary-wrap">
	        <div class="cspir-unit-fix">
	        	<div class="cspir-blog-detail">
							<div id="post-<?php the_ID(); ?>" <?php post_class('cspir-blog-post'); ?>>
								<div class="blog-detail-wrap">
								 <?php do_action( 'caspiar_before_single_content_action' ); // Caspiar Action
									 if ( get_post_format() === 'gallery' ) {
								 		if(!$single_featured_img){
										if ( ! empty( $caspiar_post_type['gallery_post_format'] ) ) {
										$ids = explode( ',', $caspiar_post_type['gallery_post_format'] ); ?>
										<div class="owl-carousel" data-items="1" data-margin="0" data-loop="true" data-nav="true" data-dots="false" data-autoplay="true" data-auto-height="true">
											<?php
											foreach ( $ids as $id ) {
											  $attachment = wp_get_attachment_image_src( $id, 'fullsize' );
											  $alt = get_post_meta($id, '_wp_attachment_image_alt', true);
											  $g_img = $attachment[0];
										    $post_img = $g_img;
										    if(class_exists('Aq_Resize')) {
												  $blog_img_actual = aq_resize( $post_img, '819', '470', true );
												} else {$blog_img_actual = $post_img;}
											  echo '<div class="item"><div class="crmny-image"><img src="'. esc_url($blog_img_actual) .'" alt="'. esc_attr($alt) .'" />';
											  echo '</div></div>';
											}
											?>
									  </div>
										
								    <?php } else {
								    	if ($caspiar_large_image) { ?>
										    <!-- Standard -->
											  <div class="cspir-image">
							              <a href="<?php echo esc_url(get_the_permalink()); ?>">
											    	<img src="<?php echo esc_url($blog_img); ?>" alt="<?php the_title_attribute(); ?>">
							              </a>
											  </div>
										  <?php }
									  }
								   } } elseif ( get_post_format() === 'video' ) {
										if($caspiar_post_type){
											$video_post = $caspiar_post_type['video_post'];
										} else {
											$video_post = '';
										}
										if(!$single_featured_img){
									  if ($caspiar_large_image) { ?>
									    <!-- Video -->
										  <div class="cspir-image">
							            <a href="<?php echo esc_url(get_the_permalink()); ?>">
										    	<img src="<?php echo esc_url($blog_img); ?>" alt="<?php the_title_attribute(); ?>">
							            </a>
							          <?php
									      if ( ! empty( $caspiar_post_type['video_post'] ) ) { ?>
									      	<a href="<?php echo esc_url($video_post); ?>" class="cspir-video-btn cspir-popup-video"><i class="fa fa-play" aria-hidden="true"></i><span class="cspir-ripple"></span></a>
									      <?php } ?>
										  </div>
									  <?php } } } elseif(get_post_format() === 'quote') {
											if ($caspiar_post_type) {
												$quote_text = $caspiar_post_type['quote_text'];
												$quote_author = $caspiar_post_type['quote_author'];
												$quote_author_link = $caspiar_post_type['quote_author_link'];
											} else {
												$quote_text = '';
												$quote_author = '';
												$quote_author_link = '';
											}
											$quote_text = $quote_text ? $quote_text : esc_html(get_the_title());
											if ($quote_text) {
											?>
												<span class="blockquote-style-two">
													 <h3 class="quote-title"><a href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo esc_html($quote_text); ?></a></h3>
									        <?php if ($quote_author) { 
									        	if ($quote_author_link) { ?>
									        	<a href="<?php echo esc_url( $quote_author_link ); ?>" class="quote-author"><?php echo esc_html($quote_author); ?></a>
									        <?php } else { echo esc_html($quote_author); }
									        } 
									        ?>
									      </span>
										  <?php }
										} else {
										if(!$single_featured_img){
										if ($featured_img_type === 'original' && $caspiar_large_image) { ?>
									    <!-- Standard -->
										  <div class="cspir-image">
							          <a href="<?php echo esc_url(get_the_permalink()); ?>">
									    	<img src="<?php echo esc_url($blog_img); ?>" alt="<?php the_title_attribute(); ?>">
							          </a>
										  </div>
									  <?php } } }
									  if(get_post_format() != 'quote' && $featured_img_type === 'original') { ?>
									  <div class="blog-info">
									    <?php if ( !in_array( 'date', $caspiar_metas_hide ) ) { ?>
									    <div class="blog-date"> <?php echo esc_html(get_the_date($date_format_actual)); ?></div>
									  <?php } if ( !in_array( 'category', $caspiar_metas_hide ) ) {
								    	if (has_category()){
								    	?> <div class="blog-date"> <?php echo the_category(', '); ?></div>
								  	<?php } } ?>
									  </div>
									  <?php } ?>
								  <!-- Content -->
									<?php
										the_content();
										echo caspiar_wp_link_pages();
									?>
									<!-- Content -->
								  <div class="cspir-blog-meta">
								    <div class="row">
								      <div class="<?php echo esc_attr($tag_column); ?>">
								      	<div class="cspir-blog-tags">
								          <?php
											    $tag_list = get_the_tags();
											    if ( !in_array( 'tag', $caspiar_metas_hide ) ) { 
											    if($tag_list) { 
										      foreach ( $tag_list as $tag ) : ?>
									          <a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"><?php echo esc_html( $tag->name ); ?></a>
										      <?php endforeach; 
										      } } ?>
								        </div>
								      </div>
								      <div class="col-sm-12 col-md-4 textright">
								      <?php if ( function_exists( 'caspiar_post_single_share_option' ) && !in_array( 'share', $caspiar_metas_hide ) ) {	echo caspiar_post_single_share_option(); } ?>
								      </div>
								    </div>
								  </div>
								  <?php do_action( 'caspiar_after_single_content_action' ); // Caspiar Action ?>
								</div>
								<!-- Author Info -->
								<?php	if( !in_array( 'author', $caspiar_metas_hide ) ) { echo caspiar_author_info(); }

								// Related Articles
								$single_related_post = cs_get_option('single_related_post');
								$single_related_title = cs_get_option('single_related_title');
								$single_related_limit = cs_get_option('single_related_limit');
								$single_related_title = $single_related_title ? $single_related_title : esc_html__( 'Related Posts', 'caspiar' );
								$single_related_limit = $single_related_limit ? $single_related_limit : '2';

								$date_format = cs_get_option('blog_date_format');
								$caspiar_read_more_text = cs_get_option('read_more_text');
								$caspiar_read_text = $caspiar_read_more_text ? $caspiar_read_more_text : esc_html__( 'READ MORE', 'caspiar' );
								$date_format_actual = $date_format ? $date_format : '';

								if(!$single_related_post) {} else {
								$related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => $single_related_limit, 'post__not_in' => array($post->ID) ) );
								if ($related) { ?>
								<div class="cspir-related-posts">
								  <h3 class="related-post-title"><?php echo esc_html($single_related_title); ?></h3>
							    <div class="row">
							    <?php do_action( 'caspiar_before_related_post_action' ); // Fame Action

									if( $related ) foreach( $related as $post ) {
									setup_postdata($post);
							    $related_large_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
							    $related_large_image = $related_large_image[0];

							    if(class_exists('Aq_Resize')) {
										$blog_img = aq_resize( $related_large_image, '370', '300', true );
								   } else {$blog_img = $related_large_image;}
									$featured_img = ( $blog_img ) ? $blog_img : esc_url(CASPIAR_IMAGES) . '/holders/370x300.png';
									?>
										<div class="col-lg-6 col-md-6 blog-list-style-two ">
								      <div class="blog-item">
								        <?php 
												  if ($related_large_image) { ?>
													  <div class="cspir-image">
													    <a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($featured_img); ?>" alt="<?php the_title_attribute(); ?>"></a>
													    <?php if (has_category()) { ?> 
													    	<div class="blog-cat"><?php echo the_category(' '); ?></div>
													  	<?php } ?>
													  </div>
												<?php } ?>
								        <div class="blog-info blog-info-two">
								          <h4 class="blog-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_the_title()); ?></a></h4>
									      	<div class="blog-author">
												  	<span><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 98 ); ?> <?php echo esc_html(get_the_author()); ?></a></span>  
													    <div class="blog-date"> <?php echo esc_html(get_the_date($date_format_actual)); ?></div>
										  	 	</div>
								        </div>
								      </div>
								    </div>

							      
									<?php	} wp_reset_postdata();
							    do_action( 'caspiar_after_related_post_action' ); // Fame Action ?>
							    </div>
								</div>
								<?php	} } ?>

							</div>
							<?php if ( comments_open() || get_comments_number() ) :
					      comments_template();
					    endif; ?>
						</div>
					</div><!-- unit-fix -->
				</div><!-- layout -->
			</div>
			<?php
				if ($caspiar_sidebar_position !== 'sidebar-hide') {
					get_sidebar(); // Sidebar
				}
			?>
		</div><!-- row -->
	</div><!-- container -->
</div><!-- mid --><!-- #post-## -->
<?php
