<?php
/**
 * Template part for displaying posts.
 */
// Metabox
global $post;
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_meta  = get_post_meta( $caspiar_id, 'post_type_metabox', true );

$caspiar_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$caspiar_large_image = $caspiar_large_image[0];

$caspiar_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
$date_format = cs_get_option('blog_date_format');
$caspiar_read_more_text = cs_get_option('read_more_text');
$caspiar_read_text = $caspiar_read_more_text ? $caspiar_read_more_text : esc_html__( 'Read More', 'caspiar' );

$author_by_text = cs_get_option('author_by_text');
$caspiar_by_text = $author_by_text ? $author_by_text : esc_html__( 'By', 'caspiar' );
$date_format_actual = $date_format ? $date_format : '';

$caspiar_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );

if(is_sticky()) {
  $sticky_class = ' sticky';
} else {
  $sticky_class = '';
}
if($caspiar_large_image) {
  $img_class = ' hav-img';
} else {
  $img_class = ' no-img';
}
if(class_exists('Aq_Resize')) {
  $blog_img = aq_resize( $caspiar_large_image, '799', '470', true );
} else {$blog_img = $caspiar_large_image;}

?>
<div class="blog-item <?php echo esc_attr($sticky_class.$img_class); ?>">
	<div id="post-<?php the_ID(); ?>" <?php post_class('cspir-blog-post'); ?>>
	  	<?php if ( get_post_format() === 'gallery' ) {
			if ( ! empty( $caspiar_post_type['gallery_post_format'] ) ) {
			$ids = explode( ',', $caspiar_post_type['gallery_post_format'] ); ?>
			<div class="cspir-blog-gallery">
				<div class="owl-carousel" data-items="1" data-margin="0" data-loop="true" data-nav="true" data-dots="false" data-autoplay="true" data-auto-height="true">
					<?php
					foreach ( $ids as $id ) {
					  $attachment = wp_get_attachment_image_src( $id, 'fullsize' );
					  $alt = get_post_meta($id, '_wp_attachment_image_alt', true);
					  $g_img = $attachment[0];
				    $post_img = $g_img;
				    if(class_exists('Aq_Resize')) {
						  $blog_img_actual = aq_resize( $post_img, '799', '470', true );
						} else {$blog_img_actual = $post_img;}
					  echo '<div class="item"><div class="crmny-image"><img src="'. esc_url($blog_img_actual) .'" alt="'. esc_attr($alt) .'" />';
					  echo '</div></div>';
					}
					  
					?>
			  </div>
				
		    <?php 
		    if ( !in_array( 'category', $caspiar_metas_hide ) ) {
		    	if (has_category()){
		    		echo '<div class="blog-list-meta"><div class="blog-category">'.get_the_category_list(' ').'</div></div>';
		  	  } 
		  	} ?>
		  </div>
	  <?php
	  } else {
	    	if ($caspiar_large_image) { ?>
			    <!-- Standard -->
				  <div class="cspir-image">
              <a href="<?php echo esc_url(get_the_permalink()); ?>">
				    	<img src="<?php echo esc_url($blog_img); ?>" alt="<?php the_title_attribute(); ?>">
              </a>
				  </div>
			  <?php }
		  }
	   } elseif ( get_post_format() === 'video' ) {
			if($caspiar_post_type){
				$video_post = $caspiar_post_type['video_post'];
			} else {
				$video_post = '';
			}
		  if ($caspiar_large_image) { ?>
		    <!-- Video -->
			  <div class="cspir-image">
            <a href="<?php echo esc_url(get_the_permalink()); ?>">
			    	<img src="<?php echo esc_url($blog_img); ?>" alt="<?php the_title_attribute(); ?>">
            </a>
          <?php
		      if ( ! empty( $caspiar_post_type['video_post'] ) ) { ?>
		      	<a href="<?php echo esc_url($video_post); ?>" class="cspir-video-btn cspir-popup-video"><i class="fa fa-play" aria-hidden="true"></i><span class="cspir-ripple"></span></a>
		      <?php } 
		      if ( !in_array( 'category', $caspiar_metas_hide ) ) {
			    	if (has_category()){
			    		echo '<div class="blog-list-meta"><div class="blog-category">'.get_the_category_list(', ').'</div></div>';
			  	  } 
			  	} ?>
			  </div>
		  <?php } } elseif(get_post_format() === 'quote') {
				if ($caspiar_post_type) {
					$quote_text = $caspiar_post_type['quote_text'];
					$quote_author = $caspiar_post_type['quote_author'];
					$quote_author_link = $caspiar_post_type['quote_author_link'];
				} else {
					$quote_text = '';
					$quote_author = '';
					$quote_author_link = '';
				}
				$quote_text = $quote_text ? $quote_text : get_the_title();
				if ($quote_text) {
				?>
					<span class="blockquote-style-two">
					<?php if ( !in_array( 'category', $caspiar_metas_hide ) ) {
				    	if (has_category()){
				    		echo '<div class="blog-list-meta"><div class="blog-category">'.get_the_category_list(' ').'</div></div>';
				  	  } 
				  	} ?>
		        <h3 class="quote-title"><a href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo esc_html($quote_text); ?></a></h3>
		        <?php if ($quote_author) { 
		        	if ($quote_author_link) { ?>
		        	<a href="<?php echo esc_url( $quote_author_link ); ?>" class="quote-author"><?php echo esc_html($quote_author); ?></a>
		        <?php } else { echo esc_html($quote_author); }
		        } 
		        ?>
		      </span>
			  <?php }
			} else {
			if ($caspiar_large_image) { ?>
		    <!-- Standard -->
			  <div class="cspir-image">
            <a href="<?php echo esc_url(get_the_permalink()); ?>">
			    	<img src="<?php echo esc_url($blog_img); ?>" alt="<?php the_title_attribute(); ?>">
            </a>
            <?php  if ( !in_array( 'category', $caspiar_metas_hide ) ) {
				    	if (has_category()){
				    		echo '<div class="blog-list-meta"><div class="blog-category">'.get_the_category_list(' ').'</div></div>';
				  	  } 
				  	} ?>
			  </div>
		  <?php } }
		  if(get_post_format() != 'quote') { ?>
		  <div class="blog-info">
		  	<?php if (!$caspiar_large_image) { 
		  	 if ( !in_array( 'category', $caspiar_metas_hide ) ) {
				    	if (has_category()){
				    		echo '<div class="blog-list-meta"><div class="blog-category">'.get_the_category_list(' ').'</div></div>';
				  	  } 
				  	}  } ?>
		  	 <h3 class="blog-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h3>
		    <?php
					$blog_excerpt = cs_get_option('theme_blog_excerpt');
					if ($blog_excerpt) {
						$blog_excerpt = $blog_excerpt;
					} else {
						$blog_excerpt = '55';
					}
					echo '<span class="blog-listing-detail">';
					caspiar_excerpt($blog_excerpt);
					echo caspiar_wp_link_pages();
					echo '</span>';
				?>
				<div class="pull-left">
		    <a href="<?php echo esc_url( get_permalink() ); ?>" class="cspir-link"><?php echo esc_html($caspiar_read_text); ?></a></div>
		    <div class="pull-right blog-author">
		  	 	<?php if ( !in_array( 'author', $caspiar_metas_hide ) ) { ?>
			  	<span><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 98 ); ?> <?php echo esc_html(get_the_author()); ?></a></span> <?php } 
			  	if ( !in_array( 'date', $caspiar_metas_hide ) ) { ?>
				    <div class="blog-date"> <?php echo esc_html(get_the_date($date_format_actual)); ?></div>
				  <?php } ?>
		  	 </div>
		  </div>
		  <?php } ?>
		</div>
	</div>

<!-- #post-## -->
<?php
