<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Metabox
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );
$caspiar_layout_meta  = get_post_meta( $caspiar_id, 'page_layout_options', true );

if ($caspiar_meta) {
	$caspiar_content_padding = $caspiar_meta['content_spacings'];
} else {
	$caspiar_content_padding = '';
}
// Padding - Metabox
if ($caspiar_content_padding && $caspiar_content_padding !== 'padding-none') {
  $caspiar_content_spacings_unit = $caspiar_meta['content_top_bottom_padding']['unit'];
  $caspiar_content_top_spacings = $caspiar_meta['content_top_bottom_padding']['top'];
  $caspiar_content_bottom_spacings = $caspiar_meta['content_top_bottom_padding']['bottom'];
  if ($caspiar_content_padding === 'padding-custom') {
    $caspiar_content_top_spacings = $caspiar_content_top_spacings ? 'padding-top:'.$caspiar_content_top_spacings.$caspiar_content_spacings_unit.';' : '';
    $caspiar_content_bottom_spacings = $caspiar_content_bottom_spacings ? 'padding-bottom:'.$caspiar_content_bottom_spacings.$caspiar_content_spacings_unit.';' : '';
    $caspiar_custom_padding = $caspiar_content_top_spacings . $caspiar_content_bottom_spacings;
  } else {
    $caspiar_custom_padding = '';
  }
} else {
  $caspiar_custom_padding = '';
}

// Page Layout Options
if ($caspiar_layout_meta) {
	$caspiar_page_layout = $caspiar_layout_meta['page_layout'];
	if($caspiar_page_layout === 'left-sidebar' || $caspiar_page_layout === 'right-sidebar') {
		$caspiar_column_class = 'cspir-primary';
		$caspiar_layout_class = 'container';
	} elseif($caspiar_page_layout === 'full-width') {
    $caspiar_column_class = 'col-md-12';
    $caspiar_layout_class = 'container-fluid';
  } else {
		$caspiar_column_class = 'col-md-12';
		$caspiar_layout_class = 'container';
	}

	// Page Layout Class
	if ($caspiar_page_layout === 'left-sidebar') {
		$caspiar_sidebar_class = 'left-sidebar';
	} elseif ($caspiar_page_layout === 'right-sidebar') {
		$caspiar_sidebar_class = 'right-sidebar';
	} else {
		$caspiar_sidebar_class = 'full-width';
	}
} else {
	$caspiar_page_layout = '';
	$caspiar_column_class = 'col-md-12';
	$caspiar_layout_class = 'container';
	$caspiar_sidebar_class = 'cspir-full-width';
}

get_header();
?>
<div class="cspir-mid-wrap cspir-page-wrap <?php echo esc_attr($caspiar_content_padding .' '. $caspiar_sidebar_class); ?>" style="<?php echo esc_attr($caspiar_custom_padding); ?>">
	<div class="<?php echo esc_attr($caspiar_layout_class); ?>">
		<div class="row">
			<div class="<?php echo esc_attr($caspiar_column_class); ?>">
      <?php do_action( 'caspiar_before_content_action' ); // Caspiar Action

				while ( have_posts() ) : the_post();
					the_content();
					echo caspiar_wp_link_pages();
					// If comments are open or we have at least one comment, load up the comment template.
					if (comments_open() || get_comments_number()) :
						comments_template();
					endif;
				endwhile;
				do_action( 'caspiar_after_content_action' ); // Caspiar Action ?>
			</div><!-- Content Area -->
			<?php
			// Right Sidebar
			if($caspiar_page_layout === 'left-sidebar' || $caspiar_page_layout === 'right-sidebar') {
				get_sidebar();
			}
			?>
		</div>
	</div>
</div>
<?php
get_footer();
