<?php
/*
 * The sidebar containing the main widget area.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

$caspiar_blog_widget = cs_get_option('blog_widget');
$caspiar_single_blog_widget = cs_get_option('single_blog_widget');

if (is_page()) {
	// Page Layout Options
	$caspiar_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );	
	$sidebar_type = $caspiar_page_layout['sidebar_type'];
	if ($sidebar_type === 'bar-sticky') {
		$sidebar_class = ' cspir-sticky-sidebar';
	} elseif ($sidebar_type === 'bar-float') {
		$sidebar_class = ' cspir-floating-sidebar';
	} else {
		$sidebar_class = '';
	}
} elseif (is_single()) {
	$single_sidebar_type = cs_get_option('single_sidebar_type');
	if ($single_sidebar_type === 'bar-sticky') {
		$sidebar_class = ' cspir-sticky-sidebar';
	} elseif ($single_sidebar_type === 'bar-float') {
		$sidebar_class = ' cspir-floating-sidebar';
	} else {
		$sidebar_class = '';
	}
} else {
	$sidebar_type = cs_get_option('sidebar_type');
	if ($sidebar_type === 'bar-sticky') {
		$sidebar_class = ' cspir-sticky-sidebar';
	} elseif ($sidebar_type === 'bar-float') {
		$sidebar_class = ' cspir-floating-sidebar';
	} else {
		$sidebar_class = '';
	}
}

?>
<div class="cspir-secondary <?php echo esc_attr($sidebar_class); ?>">
	<?php do_action( 'caspiar_before_sidebar_action' ); // Caspiar Action
	if (is_page() && $caspiar_page_layout['page_sidebar_widget']) {
		if (is_active_sidebar($caspiar_page_layout['page_sidebar_widget'])) {
			dynamic_sidebar($caspiar_page_layout['page_sidebar_widget']);
		}
	} elseif (!is_page() && $caspiar_blog_widget && !is_single()) {
		if (is_active_sidebar($caspiar_blog_widget)) {
			dynamic_sidebar($caspiar_blog_widget);
		}
	} elseif (is_single() && $caspiar_single_blog_widget) {
		if (is_active_sidebar($caspiar_single_blog_widget)) {
			dynamic_sidebar($caspiar_single_blog_widget);
		}
	} else {
		if (is_active_sidebar('sidebar-1')) {
			dynamic_sidebar( 'sidebar-1' );
		}
	}
	do_action( 'caspiar_after_sidebar_action' ); // Caspiar Action ?>
</div><!-- #secondary -->
<?php
