<?php
/*
 * The template for displaying all single casestudies.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );

if ($caspiar_meta) {
	$caspiar_content_padding = $caspiar_meta['content_spacings'];
} else {
	$caspiar_content_padding = '';
}
// Padding - Metabox
if ($caspiar_content_padding && $caspiar_content_padding !== 'padding-none') {
  $caspiar_content_spacings_unit = $caspiar_meta['content_top_bottom_padding']['unit'];
  $caspiar_content_top_spacings = $caspiar_meta['content_top_bottom_padding']['top'];
  $caspiar_content_bottom_spacings = $caspiar_meta['content_top_bottom_padding']['bottom'];
  if ($caspiar_content_padding === 'padding-custom') {
    $caspiar_content_top_spacings = $caspiar_content_top_spacings ? 'padding-top:'.$caspiar_content_top_spacings.$caspiar_content_spacings_unit.';' : '';
    $caspiar_content_bottom_spacings = $caspiar_content_bottom_spacings ? 'padding-bottom:'.$caspiar_content_bottom_spacings.$caspiar_content_spacings_unit.';' : '';
    $caspiar_custom_padding = $caspiar_content_top_spacings . $caspiar_content_bottom_spacings;
  } else {
    $caspiar_custom_padding = '';
  }
} else {
  $caspiar_custom_padding = '';
}
// Translation
$noneed_case_studies_post = cs_get_option('noneed_case_studies_post');

if (!$noneed_case_studies_post) {

	$case_studies_single_pagination = cs_get_option('case_studies_single_pagination');
  $case_studies_single_url = cs_get_option('case_studies_single_url');
  $caspiar_prev_case_studies = cs_get_option('prev_case_studies');
  $caspiar_next_case_studies = cs_get_option('next_case_studies');
  $caspiar_prev_case_studies = ($caspiar_prev_case_studies) ? $caspiar_prev_case_studies : esc_html__( 'Prev', 'caspiar' );
  $caspiar_next_case_studies = ($caspiar_next_case_studies) ? $caspiar_next_case_studies : esc_html__( 'Next', 'caspiar' );
  $port_home_link = $case_studies_single_url ? $case_studies_single_url : get_permalink();
	?>

	  <div class="cspir-mid-wrap cspir-case-single <?php echo esc_attr($caspiar_content_padding); ?>" style="<?php echo esc_attr($caspiar_custom_padding); ?>">
  	  <div class="container">
        <div class="studies-details">
    			<?php
    			if (have_posts()) : while (have_posts()) : the_post();
    				the_content();
    			endwhile;
    			endif;
    			wp_reset_postdata(); ?>
        </div>
        <?php
        if ($case_studies_single_pagination) { ?>
        <!-- Next and Prev Navigation -->
        <div class="portfolio-controls">
          <?php
            $caspiar_prev_post = get_previous_post();
            $caspiar_next_post = get_next_post();
          ?>
          <div class="row">
            <div class="col-lg-5">
              <?php if ($caspiar_prev_post) { 
                $caspiar_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id($caspiar_prev_post->ID), 'thumbnail', false, '' );
                $caspiar_large_image = $caspiar_large_image[0];
                if(class_exists('Aq_Resize')) {
                  $case_img = aq_resize( $caspiar_large_image, '100', '90', true );
                } else {$case_img = $caspiar_large_image;}
              ?>
                <a href="<?php echo esc_url(get_permalink($caspiar_prev_post->ID)); ?>">
                  <?php if ($caspiar_large_image) {
                    echo'<span class="cspir-image prev-image"><img src="'.esc_url($case_img).'" alt="'.esc_attr($caspiar_prev_post->post_title).'"></span>';
                  }
                  echo esc_html($caspiar_prev_post->post_title); ?>
                </a>
              <?php } ?>
            </div>
            <div class="col-lg-2 text-center">
              <a href="<?php echo esc_url($port_home_link); ?>" class="post-grid-view">
                <span class="grid-icon"></span>
                <span class="grid-icon"></span>
              </a>
            </div>
            <div class="col-lg-5 textright">
              <?php if ($caspiar_next_post) { 
                $caspiar_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id($caspiar_next_post->ID), 'thumbnail', false, '' );
                $caspiar_large_image = $caspiar_large_image[0];

                if(class_exists('Aq_Resize')) {
                  $case_img = aq_resize( $caspiar_large_image, '100', '90', true );
                } else {$case_img = $caspiar_large_image;}
                ?>
                <a href="<?php echo esc_url(get_permalink($caspiar_next_post->ID)); ?>">
                <?php echo esc_html($caspiar_next_post->post_title);
                  if ($caspiar_large_image) {
                    echo'<span class="cspir-image next-image"><img src="'.esc_url($case_img).'" alt="'.esc_attr($caspiar_next_post->post_title).'"></span>';
                  } ?>
                </a>
              <?php } ?>
            </div>
          </div>
        </div>
        <?php } ?>
	</div>
</div>
<?php }
get_footer();
