<?php
/*
 * The template for displaying all single team.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );
if ($caspiar_meta) {
	$caspiar_content_padding = $caspiar_meta['content_spacings'];
} else { $caspiar_content_padding = ''; }
// Padding - Theme Options
if ($caspiar_content_padding && $caspiar_content_padding !== 'padding-none') {
	$caspiar_content_spacings_unit = $caspiar_meta['content_top_bottom_padding']['unit'];
	$caspiar_content_top_spacings = $caspiar_meta['content_top_bottom_padding']['top'];
	$caspiar_content_bottom_spacings = $caspiar_meta['content_top_bottom_padding']['bottom'];
	if ($caspiar_content_padding === 'padding-custom') {
		$caspiar_content_top_spacings = $caspiar_content_top_spacings ? 'padding-top:'.$caspiar_content_top_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_content_bottom_spacings = $caspiar_content_bottom_spacings ? 'padding-bottom:'.$caspiar_content_bottom_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_custom_padding = $caspiar_content_top_spacings . $caspiar_content_bottom_spacings;
	} else {
		$caspiar_custom_padding = '';
	}
} else {
	$caspiar_custom_padding = '';
}

$large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$large_image = $large_image[0];
if(class_exists('Aq_Resize')) {
	$team_img = aq_resize( $large_image, '400', '445', true );
} else {$team_img = $large_image;}
$team_featured_img = ( $team_img ) ? $team_img : esc_url(CASPIAR_IMAGES) . '/holders/280x280.png';

$abt_title = get_the_title();
$team_options = get_post_meta( get_the_ID(), 'team_options', true );
if($team_options) {
  $team_job_position = $team_options['team_job_position'];
  $team_content = $team_options['team_content'];
	$team_socials = $team_options['social_icons'];
	$team_contact = $team_options['contact_details'];
	$team_sing_image = $team_options['team_sing_image'];
} else {
  $team_job_position = '';
  $team_socials = '';
  $team_contact = '';
  $team_sing_image = '';
}
?>
<div class="cspir-mid-wrap team-single <?php echo esc_attr($caspiar_content_padding); ?>" style="<?php echo esc_attr($caspiar_custom_padding); ?>">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="cspir-team-wrap">
					<div class="row align-items-center team-single-wrap">
						<div class="col-lg-4 col-md-12">
							<?php if ($large_image) { ?>
			        <div class="cspir-image"><img src="<?php echo esc_url($team_featured_img); ?>" alt="<?php echo esc_attr($abt_title); ?>"></div>
			        <?php } ?>
						</div>
						<div class="col-lg-8 col-md-12">
							<div class="single-mate-info">
								<div class="mate-info">
				          <h5 class="mate-name"><?php echo esc_html($abt_title); ?></h5>
				          <p><?php echo esc_html($team_job_position); ?></p>
				        </div>
				        <?php
				         if ( ! empty( $team_socials ) ) { ?>
				        	<div class="cspir-social rounded">
                    <?php foreach ( $team_socials as $social ) {
                    if($social['icon_link']) { ?>
                    	<a href="<?php echo esc_url($social['icon_link']); ?>"><i class="<?php echo esc_attr($social['icon']); ?>"></i></a>
	                  <?php } } ?>
                	</div>
                <?php }
				         ?>
				        <div class="single-team-min-content">
				        	<p><?php echo esc_html($team_content); ?></p>
				        </div>
				        <?php 
                if ( ! empty( $team_contact ) ) { ?>
				        	<ul class="mate-contact">
                    <?php foreach ( $team_contact as $contact ) {
                    if($contact['contact_link']) { ?>
                      <li><i class="<?php echo esc_attr($contact['contact_icon']); ?>"></i><a href="<?php echo esc_url($contact['contact_link']); ?>" target="_blank"><?php echo esc_html($contact['contact_text']); ?></a></li>
	                  <?php } else { ?>
                      <li><i class="<?php echo esc_attr($contact['contact_icon']); ?>"></i><?php echo esc_html($contact['contact_text']); ?></li>
	                  <?php } } ?>
                	</ul>
                	 <?php if($team_sing_image['url']) { ?>
			            	<div class="team-sign-image"><img src="<?php echo esc_url($team_sing_image['url']); ?>" alt="<?php the_title_attribute(); ?>"></div>
			            <?php } 
                 }
                ?>
			        </div>
						</div>
					</div>
				<?php
					if (have_posts()) : while (have_posts()) : the_post();
						the_content();
					endwhile;
					endif;
				?>
				</div><!-- Blog Div -->
				<?php
		    	wp_reset_postdata();  // avoid errors further down the page
				?>
			</div><!-- Content Area -->
		</div>
	</div>
</div>
<?php
get_footer();
