<?php
/*
 * The template for displaying all single testimonial.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );
if ($caspiar_meta) {
	$caspiar_content_padding = $caspiar_meta['content_spacings'];
} else { $caspiar_content_padding = ''; }
// Padding - Theme Options
if ($caspiar_content_padding && $caspiar_content_padding !== 'padding-none') {
	$caspiar_content_spacings_unit = $caspiar_meta['content_top_bottom_padding']['unit'];
	$caspiar_content_top_spacings = $caspiar_meta['content_top_bottom_padding']['top'];
	$caspiar_content_bottom_spacings = $caspiar_meta['content_top_bottom_padding']['bottom'];
	if ($caspiar_content_padding === 'padding-custom') {
		$caspiar_content_top_spacings = $caspiar_content_top_spacings ? 'padding-top:'.$caspiar_content_top_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_content_bottom_spacings = $caspiar_content_bottom_spacings ? 'padding-bottom:'.$caspiar_content_bottom_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_custom_padding = $caspiar_content_top_spacings . $caspiar_content_bottom_spacings;
	} else {
		$caspiar_custom_padding = '';
	}
} else {
	$caspiar_custom_padding = '';
}

// Featured Image
$large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$large_image = $large_image[0];
$caspiar_alt = get_post_meta( get_post_thumbnail_id(get_the_ID()), '_wp_attachment_image_alt', true);

?>
<div class="cspir-mid-wrap testimonial-single <?php echo esc_attr($caspiar_content_padding); ?>" style="<?php echo esc_attr($caspiar_custom_padding); ?>">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="cspir-testimonial-wrap">
			    <div class="testimonial-info">
			      <?php if($large_image) { ?>
              <div class="cspir-image"><img src="<?php echo esc_url($large_image); ?>" alt="<?php echo esc_attr($caspiar_alt); ?>"></div>
            <?php } ?>
			      <h5 class="author-name"> <?php echo esc_html(get_the_title()); ?></h5>
			      <div class="testimonial-wrap">
			        <?php if (has_excerpt()) { ?><p><?php the_excerpt(); ?></p><?php } ?>
			      </div>
			    </div>
				<?php
					if (have_posts()) : while (have_posts()) : the_post();
						the_content();
					endwhile;
					endif;
				?>
				</div><!-- Blog Div -->
				<?php
		    	wp_reset_postdata();  // avoid errors further down the page
				?>
			</div><!-- Content Area -->
		</div>
	</div>
</div>
<?php
get_footer();
