<?php
/*
 * The template for displaying all single posts.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );

if ($caspiar_meta) {
	$caspiar_content_padding = $caspiar_meta['content_spacings'];
} else { $caspiar_content_padding = ''; }
// Padding - Metabox
if ($caspiar_content_padding && $caspiar_content_padding !== 'padding-none') {
	$caspiar_content_spacings_unit = $caspiar_meta['content_top_bottom_padding']['unit'];
	$caspiar_content_top_spacings = $caspiar_meta['content_top_bottom_padding']['top'];
	$caspiar_content_bottom_spacings = $caspiar_meta['content_top_bottom_padding']['bottom'];
	if ($caspiar_content_padding === 'padding-custom') {
		$caspiar_content_top_spacings = $caspiar_content_top_spacings ? 'padding-top:'.$caspiar_content_top_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_content_bottom_spacings = $caspiar_content_bottom_spacings ? 'padding-bottom:'.$caspiar_content_bottom_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_custom_padding = $caspiar_content_top_spacings . $caspiar_content_bottom_spacings;
	} else {
		$caspiar_custom_padding = '';
	}
} else {
	$caspiar_custom_padding = '';
}

// Theme Options
$caspiar_sidebar_position = cs_get_option('single_sidebar_position');
$caspiar_single_blog_widget = cs_get_option('single_blog_widget');
if ($caspiar_single_blog_widget) {
	$widget_select = $caspiar_single_blog_widget;
} else {
	if (is_active_sidebar('sidebar-1')) {
		$widget_select = 'sidebar-1';
	} else {
		$widget_select = '';
	}
}
// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($caspiar_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$caspiar_sidebar_class = 'hide-sidebar';
	} elseif ($caspiar_sidebar_position === 'sidebar-left') {
		$layout_class = 'cspir-primary';
		$caspiar_sidebar_class = 'left-sidebar';
	} else {
		$layout_class = 'cspir-primary';
		$caspiar_sidebar_class = 'right-sidebar';
	}
} else {
	$caspiar_sidebar_position = 'sidebar-hide';
	$layout_class = 'col-md-12';
	$caspiar_sidebar_class = 'hide-sidebar';
}

if ( have_posts() ) :
	/* Start the Loop */
	while ( have_posts() ) : the_post();
	caspiar_setPostViews(get_the_ID());

		get_template_part( 'layouts/post/content', 'single' );
		
	endwhile;
else :
	get_template_part( 'layouts/post/content', 'none' );
endif; 

get_footer();
