<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$caspiar_id    = ( isset( $post ) ) ? $post->ID : 0;
$caspiar_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $caspiar_id;
$caspiar_id    = ( caspiar_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $caspiar_id;
$caspiar_meta  = get_post_meta( $caspiar_id, 'page_type_metabox', true );

if ($caspiar_meta) {
	$caspiar_content_padding = $caspiar_meta['content_spacings'];
} else { $caspiar_content_padding = ''; }
// Padding - Metabox
if ($caspiar_content_padding && $caspiar_content_padding !== 'padding-none') {
	$caspiar_content_spacings_unit = $caspiar_meta['content_top_bottom_padding']['unit'];
	$caspiar_content_top_spacings = $caspiar_meta['content_top_bottom_padding']['top'];
	$caspiar_content_bottom_spacings = $caspiar_meta['content_top_bottom_padding']['bottom'];
	if ($caspiar_content_padding === 'padding-custom') {
		$caspiar_content_top_spacings = $caspiar_content_top_spacings ? 'padding-top:'.$caspiar_content_top_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_content_bottom_spacings = $caspiar_content_bottom_spacings ? 'padding-bottom:'.$caspiar_content_bottom_spacings.$caspiar_content_spacings_unit.';' : '';
		$caspiar_custom_padding = $caspiar_content_top_spacings . $caspiar_content_bottom_spacings;
	} else {
		$caspiar_custom_padding = '';
	}
} else {
	$caspiar_custom_padding = '';
}

// Theme Options
$caspiar_sidebar_position = cs_get_option('woo_sidebar_position');
$caspiar_woo_widget = cs_get_option('woo_widget');

if (!empty($caspiar_woo_widget)) {
	$widget_select = $caspiar_woo_widget;
} else {
	if (is_active_sidebar('shop')) {
		$widget_select = 'shop';
	} else {
		$widget_select = '';
	}
}

// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($caspiar_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$caspiar_sidebar_class = 'hide-sidebar';
	} elseif ($caspiar_sidebar_position === 'sidebar-left') {
		$layout_class = 'cspir-primary';
		$caspiar_sidebar_class = 'left-sidebar';
	} else {
		$layout_class = 'cspir-primary';
		$caspiar_sidebar_class = 'right-sidebar';
	}
} else {
	$caspiar_sidebar_position = 'sidebar-hide';
	$layout_class = 'col-md-12';
	$caspiar_sidebar_class = 'hide-sidebar';
}
get_header(); ?>
<div class="cspir-mid-wrap <?php echo esc_attr($caspiar_content_padding); ?>" style="<?php echo esc_attr($caspiar_custom_padding); ?>">
  <div class="container">
    <div class="woocommerce woocommerce-page">
      <div class="row">
			<?php do_action('caspiar_woocommerce_before_shop_loop'); ?>
				<div class="container cspir-content-area <?php echo esc_attr($caspiar_sidebar_class); ?>">
					<div class="row">
						<div class="woo-content-side <?php echo esc_attr($layout_class); ?>">
							<?php
								if ( have_posts() ) :
									woocommerce_content();
								endif; // End of the loop.
							?>
						</div><!-- Content Area -->
						<?php
						// Right Sidebar
						if($caspiar_sidebar_position !== 'sidebar-hide') { get_sidebar('shop'); } ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
